{% extends 'base.html' %}
{% include 'header.html' %}
{% block content %}

    <h1 class="page-header">Books</h1>
    <!-- Button to tigger the action-->
    <p>
        <button type="button" class="btn btn-primary js-create-book">
            <span class="glypicon glyphicon-plus"></span>New Book
        </button>
    </p>

{#table for content#}
    <table class="table" id="book-table">
      <thead>
      <tr>
        <th>#</th>
        <th>Title</th>
        <th>Author</th>
        <th>Type</th>
        <th>Publication date</th>
        <th>Pages</th>
        <th>Price</th>


      </tr>
      </thead>
    <tbody>
     {% for book in book_list %}
         <tr>
         <td>{{ book.id }}</td>
         <td>{{ book.title }}</td>
         <td>{{ book.author }}</td>
         <td>{{ book.get_book_type_display }}</td>
         <td>{{ book.publication_date }}</td>
         <td>{{ book.pages }}</td>
         <td>{{ book.price }}</td>
         </tr>
         {% empty %}
         <tr>
           <td colspan="7" class="text-center bg-warning">No Book</td>
         </tr>
    {% endfor %}
    </tbody>
    </table>
{#    the modal we will be using #}
    <div class="modal fade" id="modal-book">

    </div>
{% endblock %}